CURLOPT_RTSP_TRANSPORT(3)

NAME
CURLOPT_RTSP_TRANSPORT - set RTSP Transport: header

SYNOPSIS
#include <curl/curl.h>
CURLcode curl_easy_setopt(CURL *handle, CURLOPT_RTSP_TRANSPORT,
                          char *transport);

DESCRIPTION
Pass a char * to tell libcurl what to pass for the Transport: header for this RTSP session. This is mainly a convenience method to avoid needing to set a custom Transport: header for every SETUP request. The application must set a Transport: header before issuing a SETUP request. The application does not have to keep the string around after setting this option.

DEFAULT
NULL

PROTOCOLS
RTSP

EXAMPLE
TODO

AVAILABILITY
Added in 7.20.0

RETURN VALUE
Returns CURLE_OK if the option is supported, CURLE_UNKNOWN_OPTION if not, or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

SEE ALSO
CURLOPT_RTSP_REQUEST(3), CURLOPT_RTSP_SESSION_ID(3),